#include <raylib.h>
#include <rlImGui.h>

#include "debug.h"

#if defined(_MSC_VER) && !defined(_DEBUG)
#define main WinMain
#endif

int main()
{
  SetConfigFlags(FLAG_WINDOW_RESIZABLE);
  InitWindow(800, 450, "hello world");
  //SetTargetFPS(60);
  rlImGuiSetup(true);

  while (!WindowShouldClose())
  {
    // Start Drawing
    BeginDrawing();
    ClearBackground(RAYWHITE);
    rlImGuiBegin();

    // Logic
    if(IsKeyPressed(KEY_F3))
      open_window();

    debug_window();
    DrawText("Hello world from raylib! (Press F3 for debug!)", 190, 200, 20, LIGHTGRAY);

    // End Drawing
    rlImGuiEnd();
    EndDrawing();
  }

  // Free memory
  rlImGuiShutdown();
  CloseWindow();
  return 0;
}